import time
import ScanUtility
import bluetooth._bluetooth as bluez
import RPi.GPIO as GPIO

GPIO.setwarnings(False)
GPIO.setmode (GPIO.BOARD)
GPIO.setup (11,GPIO.OUT)
GPIO.output(11,False)

def ledKnipper():
    p=0.2
    while True:
        GPIO.output(11,True)
        time.sleep(p)
        GPIO.output(11,False)
        time.sleep(p)

# Stelt bluetooth device in. Raspberry Pi bluetooth is 0.
dev_id = 0

try:
        sock = bluez.hci_open_dev(dev_id)
        print ("\n *** Zoekt naar BLE Beacons ***\n")
        print ("\n *** Gebruik [CTRL]-c om te stoppen ***\n")
except:
        print ("STORING - Geen toegang tot bluetooth")

ScanUtility.hci_enable_le_scan(sock)

# Scant voor iBeacons
while True:
    returnedList = ScanUtility.parse_events(sock, 10)
    for item in returnedList:
        if item ["macAddress"] == "7b:43:6a:c1:db:79": # Vul MAC-adres beacon in!
            print("BEACON GEVONDEN")
            print("---------------")
            print("macAddress:",item ["macAddress"])
            print("rssi",item ["rssi"])
            if item["rssi"] >= -50:
                print ("\n\033[1;32mBeacon is minder dan op -50dB \033[1;m")
                print ("\033[1;33mDe led (GPIO17/pin11) knippert\033[1;m\n")
                print ("Gebruik [Ctrl]-c om het programma te stoppen")
                ledKnipper()
                break
            else:
                print ("\033[1;31mBeacon is op meer dan -50dB \033[1;m\n")
